---
title: Terms of Service
layout: default
permalink: /terms-of-service/

---

### 1. Introduction
Welcome to Choosealicense.com (the “Site”). The Site is operated by GitHub, Inc. (“GitHub” or “we”), a Delaware corporation headquartered in lovely San Francisco, California. This document – the Site’s terms of service – is an agreement between you, the beloved user, and GitHub. It’s referred to as the “Terms” or the “Agreement.” 
These Terms govern your use of the Site and this Site only. The Terms neither relate to any other GitHub website, service or property nor your use of any other GitHub website, service or property. For example, these Terms don’t govern your use of www.github.com. 

### 2. Agreement to the Terms

Terms of service agreements are contracts. That means that this Agreement is a contract between you and GitHub for the limited purpose of laying out what our respective rights and obligations are with respect to Choosealicense.com.
If there’s something in these Terms you don’t agree with or don’t understand, please don’t use the Site. By accessing or using the Site, you signal your agreement with and consent to the Terms. By accessing or using any Website or Service you also represent that you have the legal authority to accept the Terms on behalf of yourself and any party you represent in connection with your use of any Website or Service. 

Unless otherwise agreed to in writing with GitHub, your use of any Website or Service will always be subject to, at a minimum, the terms and conditions set out in this document. 

### 3. No legal advice is being provided

GitHub is a lot of things, but it’s not a law firm. GitHub does not provide legal advice. Using the Site or sending us an email about the Site does not create an attorney-client relationship. Use of Choosealicense.com does not constitute legal advice nor does it create an attorney-client relationship. If you have any questions about the Site or its content, you should consult with your own legal counsel before moving forward with your project. In fact, you should always consult with your own lawyer before making any decisions that might have legal ramifications or that may impact your legal rights. 

GitHub created the Site to help users get started with their open source projects. And we do hope it helps. But please keep in mind that we’re not lawyers (at least not most of us) and that we make mistakes like everyone else. For that reason, GitHub provides the Site on an “as-is” basis. GitHub makes no warranties regarding any information or licenses provided on or through the Site, and disclaims liability for damages resulting from use of the Site.

The next few sections of these Terms go into greater detail on these disclaimers and lack of warranties. They’re in caps so that you notice them.  

### 4. DISCLAIMER OF WARRANTIES

TO THE FULLEST EXTENT PERMITTED BY APPLICABLE LAW, GITHUB OFFERS THE SITE ON AN AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WEBSITES OR SERVICES, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. GITHUB DOES NOT WARRANT THAT THE FUNCTIONS OR CONTENT CONTAINED ON THE WEBSITE OR SERVICES WILL BE ERROR-FREE, THAT DEFECTS WILL BE CORRECTED, OR THAT GITHUB’S SERVERS ARE FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS. GITHUB DOES NOT WARRANT OR MAKE ANY REPRESENTATION REGARDING USE OR THE RESULT OF USE OF THE CONTENT IN TERMS OF ACCURACY, RELIABILITY, OR OTHERWISE.

### 5. LIMITATION OF LIABILITY

EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW AND THEN ONLY TO THAT EXTENT, IN NO EVENT WILL GITHUB, ITS EMPLOYEES, OFFICERS, DIRECTORS, AFFILIATES OR AGENTS (“THE GITHUB PARTIES”) BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY INCIDENTAL, DIRECT, INDIRECT, PUNITIVE, ACTUAL, CONSEQUENTIAL, SPECIAL, EXEMPLARY OR OTHER DAMAGES, INCLUDING WITHOUT LIMITATION, LOSS OF REVENUE OR INCOME, LOST PROFITS, PAIN AND SUFFERING, EMOTIONAL DISTRESS, COST OF SUBSTITUTE GOODS OR SERVICES, OR SIMILAR DAMAGES SUFFERED OR INCURRED BY YOU OR ANY THIRD PARTY THAT ARISE IN CONNECTION WITH THE WEBSITES OR SERVICES (OR THE TERMINATION THEREOF FOR ANY REASON), EVEN IF THE GITHUB PARTIES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

THE GITHUB PARTIES SHALL NOT BE RESPONSIBLE OR LIABLE WHATSOEVER IN ANY MANNER FOR ANY CONTENT POSTED ON THE SITE (INCLUDING CLAIMS OF INFRINGEMENT RELATING TO CONTENT POSTED ON THE WEBSITES OR SERVICES, FOR YOUR USE OF THE WEBSITES AND SERVICES, OR FOR THE CONDUCT OF THIRD PARTIES WHETHER ON THE WEBSITES, IN CONNECTION WITH THE SERVICES OR OTHERWISE RELATING TO THE WEBSITES OR SERVICES.

### 6. Indemnification for breach of the Terms

You agree to indemnify and hold harmless the GitHub Parties (defined above) from and against any and all loss, expenses, damages, and costs, including without limitation reasonable attorneys fees, resulting, whether directly or indirectly, from your violation of the Terms. 

### 7. Termination of this Agreement

These Terms will continue to apply until terminated by the parties in writing, though your right to access and use the Site terminates automatically upon your breach of any of these Terms.
The disclaimer of warranties, the limitation of liability and the jurisdiction and applicable law provisions shall survive any termination. The license grants mentioned herein shall continue in effect subject to the terms of the applicable license. Your warranties and indemnification obligations shall survive any termination for one year.

### 8. Miscellaneous Terms

These Terms are governed by and construed by the laws of the State of California, in the United States, exclusive of its choice of law rules. 

The parties agree that any disputes or proceedings between GitHub and you concerning these Terms or the Site shall be brought in a federal or state court of competent jurisdiction sitting in the Northern District of California, and hereby consent to the personal jurisdiction and venue of such court. Either party’s failure to insist on or enforce strict performance of any of the Terms shall not be construed as a waiver of any provision or right. 

If any term or part of the Terms is held to be invalid or unenforceable by any law or regulation or final determination of a competent court or tribunal, that provision will be deemed severable and will not affect the validity and enforceability of any remaining provisions. 

The parties agree that no joint venture, partnership, employment, or agency relationship exists between you and GitHub as a result of these Terms or your use of the Site. 

These Terms constitute the entire agreement between you and GitHub relating to the Site and supersede all prior, contemporaneous and future communications (with the exception of future amendments to the Terms as made available by GitHub from time to time) between you and GitHub. A printed version of the Terms and of any notice given in electronic form shall be admissible in judicial or administrative proceedings based on or relating to the Terms to the same extent and subject to the same conditions as other business documents and records originally generating and maintained in printed form. 
